get_executable_name(3)

NAME
get_executable_name

SYNOPSIS
#include <allegro.h>

void get_executable_name(char *buf, int size);

DESCRIPTION
Fills buf with the full path to the current executable, writing at most size bytes. This generally comes from argv[0], but on Unix systems if argv[0] does not specify the path, we search for our file in $PATH.